Subject: Re: Empty host in 'http' scheme [#159]

From: Mark Nottingham <[email-masked]>
Date: Tue, 6 Oct 2009 15:29:34 +1100

We discussed this in Stockholm and there was agreement in the room to  
make an empty authority in a HTTP(S) URI an error.

I'm listing this for -08.

<http://trac.tools.ietf.org/wg/httpbis/trac/ticket/145>

On 15/04/2009, at 4:43 PM, Mark Nottingham wrote:

> now part of #159
>  http://trac.tools.ietf.org/wg/httpbis/trac/ticket/159
>
>
> On 12/02/2009, at 2:46 AM, Julian Reschke wrote:
>
>>
>> Bjoern Hoehrmann wrote:
>>> Hi,
>>> According to RFC 2616 under the RFC 2396 interpretation of "host"  
>>> and
>>> as noted in RFC 3986 the "host" component of the authority in http  
>>> URIs
>>> cannot be the empty string. draft-ietf-httpbis-p1-messaging-05  
>>> however
>>> does allow the empty string as host. If that is intentional it  
>>> should be
>>> pointed out clearly below the definition of the scheme's syntax.
>>
>> There's a (closed) issue that is somehow related: <http://trac.tools.ietf.org/wg/httpbis/trac/ticket/92 
>> >, see:
>>
>>> In other words, part 1 needs to define an empty host is an error  
>>> for the http and https schemes.
>>> In any case, servers that break based on any network input, valid  
>>> or not, are broken.
>>
>> Seems that we should open a separate issue for that.
>>
>> BR, Julian
>>
>
>
> --
> Mark Nottingham     http://www.mnot.net/
>
>

--
Mark Nottingham     http://www.mnot.net/